<?
require('startinclude.php');
revisar_tabla('pf_proceso');
revisar_tabla('pf_especies');
revisar_tabla('pf_configuracion');
revisar_tabla('pf_menu');
revisar_tabla('pf_usuario');
revisar_tabla('pf_version');
revisar_tabla('pf_calibre');
revisar_tabla('pf_planta');
revisar_tabla('pf_tarja');
revisar_tabla('pf_sensorxcamara');
revisar_tabla('pf_sistemalog');
revisar_tabla('pf_productor');
revisar_tabla('pf_window');
revisar_tabla('PF_HISTORICOULTIMAFECHA');
revisar_tabla('pf_historico');
revisar_tabla('pf_envase');
revisar_tabla('pf_historico_proceso');
revisar_tabla('MOTORESCRITURAS');
revisar_tabla('MOTORLECTURAS');
revisar_tabla('pf_sensorxproceso');
revisar_tabla('MOTORULTIMAFECHA');
revisar_tabla('pf_tarjaxproceso');
revisar_tabla('pf_log_proceso');
revisar_tabla('pf_camara');

/*$sql="select * from pf_tarja;";
@$resultado=mssql_query($sql,$conn);
$field_name = mssql_fetch_field($resultado, 0); 
$field_type = mssql_field_type($resultado, 0); 
print $field_name->name; 
echo var_dump($field_name);
echo $field_type; 
*/



function revisar_tabla($tabla) {
	// creamos la tabla...
	$sql="select * from $tabla where 1=2";
	global $conn;
	try {
		@$resultado=mssql_query($sql,$conn);
	}	catch (Exception $e) {
	}
	if (!$resultado) {
		echo "<li>Tabla $tabla NO EXISTE pero pudo ser creado<br></li>";
		$sql="";
		if ($tabla!="pf_version" and $tabla!="pf_calibre" and $tabla!="pf_configuracion") {
			echo "<li>No puedo solucionar esta tabla :$tabla automaticamente<br></li>";
			exit(2);
		} else {
			include "sql/".$tabla.".php";
		}
	}
	// revisar campos
	if ($tabla=="pf_sensorxcamara") {
		revisar_campo("pf_sensorxcamara","orden","smallint NULL");
		revisar_campo("pf_sensorxcamara","POSICION","smallint NULL");
		revisar_campo("pf_sensorxcamara","tipo_escala","smallint NULL");
		
	}
	if ($tabla=="pf_sensorxproceso") {
		revisar_campo("pf_sensorxproceso","orden","smallint NULL");
		revisar_campo("pf_sensorxproceso","tipo_escala","smallint NULL");
	}
	if ($tabla=="pf_tarja") {
		revisar_campo("pf_tarja","CALIBRE","smallint NULL");
		revisar_campo("pf_tarja","ETIQUETA","varchar(200) NULL");
		revisar_campo("pf_tarja","KG"," decimal(8, 2) NULL");
	}
	if ($tabla=="pf_tarjaxproceso") {
		revisar_campo("pf_tarjaxproceso","con_sensor","smallint NULL");
	}
}

function revisar_campo($tabla,$campo,$tipo) {
	global $conn;
	$sql="select $campo from $tabla";
	@$resultado=mssql_query($sql,$conn);
	if (!$resultado) {
		$sql="ALTER TABLE dbo.$tabla ADD $campo $tipo ";
		$resultado=mssql_query($sql,$conn);
		echo "<li>El campo $campo de la tabla $tabla no existe y fue creado </li>";
		return(false);
	} else {
		return(true);
	}
}

$sql="";
// ACTUALIZAR DATOS+	+	+	+	+	+	+	++	+	+	+	+	+	+	+	+	+	+	

include "sql/procedimientos_sql.php";
echo "<b>Fin Actualizacion</b><br>";
echo "<li><a href='http://localhost/pf/wlimpiar.php?camara=0'>Y Finalmente presione aqui.</a></li>";

?>